[Images] Delete a private image
curl --request DELETE \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/images/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/images/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Compute
[Images] Delete a private image
Permanently delete a private image from the organization. Only private images owned by the organization can be deleted. Images currently in use by running instances cannot be deleted. Public platform images cannot be deleted.
DELETE
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
images
/
{id}
[Images] Delete a private image
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
Unique identifier of the image.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Response
Image deleted successfully
⌘I

